Public Class Auth
    '//번호찰프로그램에서 사용할 인증방법
    Public Function check_key1(ByVal key As String) As Boolean
        '//구존 날짜(해쉬)
        Dim k() As String = key.Split("%")
        Dim A As String = k(1).Substring(0, 8)
        Dim B As String = k(1).Substring(8)
        If A.GetHashCode = B Then Return True
        Return False

    End Function
    Public Function Check_key2(ByVal key As String) As Boolean
        If key = "" Then Return True
        Dim A As String = key.Split("%")(0)
        Dim B As String = key.Split("%")(1)
        If A.GetHashCode = B Then Return True
        Return False
    End Function


End Class
